r826 - scripts/trunk
Bruno Fuddl-guestquot; Fuddl"
Kleinert
fuddl-guest at costa.debian.org
Thu Jun 15 15:57:57 UTC 2006
Author: fuddl-guest
Date: 2006-06-15 15:57:57 +0000 (Thu, 15 Jun 2006)
New Revision: 826
Modified:
scripts/trunk/nexuiz-prepare.sh
Log:
upgraded nexuiz to nexuiz 2.0
Modified: scripts/trunk/nexuiz-prepare.sh
===================================================================
--- scripts/trunk/nexuiz-prepare.sh 2006-06-15 15:57:33 UTC (rev 825)
+++ scripts/trunk/nexuiz-prepare.sh 2006-06-15 15:57:57 UTC (rev 826)
@@ -1,17 +1,17 @@
#!/bin/sh
-VERSION=1.5
-ARCHIVE=nexuiz-15.zip
-ENGINEZIP=nexuizenginesource20060213.zip
+VERSION=2.0
+ARCHIVE=nexuiz-20.zip
+ENGINEZIP=enginesource20060614.zip
if [ $# != 1 ]; then
- echo "Usage: nexuiz-prepare.sh /path/to/nexuiz-15.zip"
+ echo "Usage: nexuiz-prepare.sh /path/to/nexuiz-20.zip"
exit 1
fi
if [ ! -f /usr/bin/unzip ]; then
echo "Please aptitude install unzip"
- exit 1
+ exit 2
fi
if [ ! -f $1/$ARCHIVE ]; then
@@ -29,7 +29,7 @@
fi
echo "Creating engine tarball..."
-cd ./nexuiz-tmp/Nexuiz && unzip $ENGINEZIP && \
+cd ./nexuiz-tmp/Nexuiz && unzip sources/$ENGINEZIP && \
mkdir -p nexuiz-$VERSION && mv darkplaces Docs nexuiz-$VERSION &&
tar -czf ../../nexuiz_$VERSION.orig.tar.gz nexuiz-$VERSION
More information about the Pkg-games-commits
mailing list